Before you start with the upgrade you should do a backup of your focmm database.
A simple command like this should do the job:

mysqldump --user=root --password --databases focmm >focmm_dump.sql

Upgrading v0.1 to v0.2

Same as install instructions plus:

shell> cp /opt/mocenter/etc/installation.status /opt/mocenter/etc/mocenter.conf /etc/mocenter/
ubuntu> chown -R www-data: /etc/mocenter /var/www/mocenter*
centos> chown -R apache: /etc/mocenter /var/www/mocenter*
shell> rm -rf /opt/mocenter /opt/mocenter-0.1.0
ubuntu> service apache2 reload
centos> service httpd reload

Upgrading v0.2 to v0.3

An upgrade path from Ops-Center v0.2 to v0.3 is currently not supported. If you want to try it anyway please contact our support team or check the following article: Migration of SQLite to MySQL.

We have upgraded our own Ops Center infrastructure like this so it should work.

Upgrading v0.3 to v0.9

Upgrading from Ops Center v0.3 to v0.9 and newer happens automatically. Please do a backup of your Ops Center Instance before you upgrade!

Copy .htaccess file.